## oem-config 1.54.13netbook5walpole1

=== debian/changelog ===
oem-config (1.54.13netbook5walpole1) walpole; urgency=low

  * Merge from netbook-jaunty, remaining changes:
    - d-i/source/localechooser/languagelist: add walpole specific languages 

 -- Michael Terry <michael.terry@canonical.com>  Mon, 24 Aug 2009 10:43:37 -0400

oem-config (1.54.13netbook4walpole1) walpole; urgency=low

  * gui-langs-in-list.patch:
    - lib/frontend/gtk_ui.py: implemented language list widget as treeview instead of iconview, 
    which is more appropriate for oem with few langs than for ubuntu with many
    - gui/glade/step_language: same as above
  * oem-langlist.patch:
    - lib/components/language.py: added check for oem-specific langauge list 
    (/usr/share/oem-langagues/languagelist.data.gz). If not found, use default

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 29 Jul 2009 12:58:23 -0400

oem-config (1.54.13netbook3walpole1) walpole; urgency=low

  * rebase on netbook3 and apply walpole patches:
    - d-i/source/localechooser/languagelist: add walpole specific languages 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 23 Jul 2009 17:25:32 -0400

=== d-i/source/console-setup/debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: perl, libxml-parser-perl, xkb-data (>= 0.9), keymapper (>= 0.5.3-7)
Build-Depends: debhelper (>= 5), po-debconf
Standards-Version: 3.7.3
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/console-setup
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/console-setup/ubuntu

Package: console-setup
Section: utils
Architecture: all
Recommends: kbd (>= 1.12-15) | console-tools (>= 1:0.2.3dbs-62ubuntu10)
Depends: debconf (>= 0.5) | debconf-2.0, console-terminus (>= 4.26), xkb-data (>= 0.9), initramfs-tools (>= 0.85eubuntu12)
Suggests: lsb-base (>= 3.0-6)
Conflicts: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: Set up the font and the keyboard on the console
 The package provides the Linux console with the same versatile
 keyboard configuration that the X Window System uses.  As a result
 there is no need to duplicate or change the keyboard files just to
 make simple customisations such as the use of dead keys, the key
 functioning as AltGr or Compose key, the key(s) to switch between
 Latin and non-Latin mode, etc.
 .
 The package also contains console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: extra
Architecture: all
Recommends: kbd | console-tools
Depends: debconf (>= 0.5) | debconf-2.0
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup, console-terminus, lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: An experimental micro version of console-setup package
 This package can be useful when Debian system is installed on
 handhelds or other devices with small storage space.  It was created
 as proof of concept for a method to implement versatile keyboard
 configuration in the Debian installer.
 .
 This package supports only UTF-8.  The legacy 8-bit encodings are not
 supported.

Package: bdf2psf
Architecture: all
Section: utils
Priority: optional
Depends: perl
Description: Font converter to generate console fonts from BDF source fonts
 This is a command line converter that can be used in scripts to build
 automatically console fonts from BDF sources.  The converter comes
 with a collection of font encodings that cover many of the world
 languages; notice that the font encoding (so called SFM) does not
 need to follow the actually used encoding (so called ACM).  When the
 source font does not define a glyph for a symbol in the font encoding
 the glyph position in the console font is not wasted but used for
 another symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the 8th column of the glyph matrix of symbols
 positioned in the pseudographic area to the 9th column.  In order to
 create fonts for text video modes the width of the glyph matrix of
 the source BDF font should be 7, 8 or 9 pixels, otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Priority: extra
Depends: console-setup-ekmap, console-setup-fonts-udeb, archdetect, cdebconf-udeb, kbd-udeb, cdebconf-newt-detect-keys
Provides: keyboard-setup
Architecture: all
Description: Configure the keyboard
 This is an experimental replacement of kbd-chooser.
XC-Package-Type: udeb
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for amiga keyboards
XC-Package-Type: udeb

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for ataritt keyboards
XC-Package-Type: udeb

Package: console-setup-macintoshold-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for macintoshold keyboards
XC-Package-Type: udeb

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for pc keyboards
XC-Package-Type: udeb

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for sun4 keyboards
XC-Package-Type: udeb

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for sun5 keyboards
XC-Package-Type: udeb

Package: console-setup-fonts-udeb
Section: debian-installer
Priority: extra
Architecture: all
Description: Console fonts for Debian Installer
XC-Package-Type: udeb

=== d-i/source/tzsetup/debian/control ===
Source: tzsetup
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.1.13), tzdata, iso-codes, isoquery
Build-Depends-Indep: po-debconf
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/tzsetup
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/tzsetup/ubuntu

Package: tzsetup-udeb
Architecture: all
Depends: ${misc:Depends}, localechooser
XC-Package-Type: udeb
Description: choose time zone

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/quilt/quilt.make

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
EXPECTED_AC_VERSION := $(shell echo "$(VERSION)" | cut -d. -f1,2)
AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
			sed 's/[][,]//g')
MANGLED_VERSION := $(subst ~,-,$(VERSION))

ifneq ($(EXPECTED_AC_VERSION),$(AC_VERSION))
$(warning Version $(VERSION) in debian/changelog does not match $(AC_VERSION) in configure.ac!)
endif

tmp = $(CURDIR)/debian/oem-config

PYTHON := $(shell pyversions -r)

console-setup-depends := console-setup (>= $(shell cd d-i/source/console-setup && dpkg-parsechangelog | awk '/Version:/ {print $$2}'))

ifeq (,$(strip $(foreach dir,$(subst :, ,$(PATH)),$(wildcard $(dir)/pygobject-codegen-2.0))))
$(warning pygobject-codegen-2.0 missing; disabling GTK frontend)
export OEM_CONFIG_NO_GTK := 1
endif

update:
	$(MAKE) -C d-i update

update-local:
	$(MAKE) -C d-i update UPDATE_LOCAL=1

d-i/source/console-setup/Keyboard/MyKeyboardNames.pl:
	$(MAKE) -C d-i/source/console-setup/Keyboard MyKeyboardNames.pl \
		xkbdir=/usr/share/X11/xkb

lib/keyboard_names.py: d-i/source/console-setup/Keyboard/MyKeyboardNames.pl
	d-i/make-keyboard-names $< > $@

Makefile:
	PYTHON=$(PYTHON) ./configure --prefix=/usr

build: patch Makefile lib/keyboard_names.py
	$(MAKE)
	$(MAKE) -C d-i build

clean: unpatch
	dh_testdir
	dh_testroot
	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
	rm -f po/.intltool-merge-cache po/stamp-po
	$(MAKE) -C d-i clean
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean d-i/source/console-setup/Keyboard/MyKeyboardNames.pl \
		 lib/keyboard_names.py

	$(MAKE) -C d-i check

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	# For the meantime, nearly everything automake wants to install is
	# part of the GTK frontend.
ifndef OEM_CONFIG_NO_GTK
	$(MAKE) install DESTDIR=$(CURDIR)/debian/oem-config-gtk \
		pythondir=\$${prefix}/lib/oem-config \
		pyexecdir=\$${prefix}/lib/oem-config \
		pkgpythondir=\$${prefix}/lib/oem-config/oem_config \
		pkgpyexecdir=\$${prefix}/lib/oem-config/oem_config
	rm -f debian/oem-config-gtk/usr/share/oem-config/desktop/oem-config-prepare-kde.desktop
	rm -rf debian/oem-config-gtk/usr/share/oem-config/pixmaps
endif
	$(MAKE) -C d-i install
	dh_install -a

	# Bits of manual installation that can't be done by dh_install
	sed -i 's/@VERSION@/$(VERSION)/g' debian/oem-config/usr/sbin/oem-config
	sed -e 's,/usr/share/console-setup-mini/console-setup.config,/var/lib/dpkg/info/console-setup.config,g' \
	    -e 's,^\([[:space:]]*\)update-initramfs,\1: update-initramfs,' \
		d-i/source/console-setup/debian/console-setup.postinst \
		> debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	chmod +x debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	sed -e 's,/target,,g' \
		d-i/source/tzsetup/post-base-installer.d/*tzsetup \
		> debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	chmod +x debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	sed -i -e 's,db_input medium tzsetup/selected,db_input high tzsetup/selected,' \
	       -e 's,/usr/share/tzsetup/tzmap,/usr/lib/oem-config/timezone/tzmap,g' \
		debian/oem-config/usr/lib/oem-config/timezone/tzsetup
	for x in user-setup user-setup-ask user-setup-apply; do \
		sed -e 's,/usr/lib/user-setup,/usr/lib/oem-config/user,g' \
		    -e 's,/bin/sh,/bin/bash,g' \
			d-i/source/user-setup/$$x \
			> debian/oem-config/usr/lib/oem-config/user/$$x; \
		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
	done
	sed -i -e 's,db_input high user-setup/encrypt-home,db_input medium user-setup/encrypt-home,' \
		debian/oem-config/usr/lib/oem-config/user/user-setup-ask
	echo oem >> debian/oem-config/usr/lib/oem-config/user/reserved-usernames
	set -e; for x in languagemap localechooser; do \
		sed 's,/usr/share/localechooser,/usr/lib/oem-config/language,g' \
			d-i/source/localechooser/$$x \
			> debian/oem-config/usr/lib/oem-config/language/$$x; \
		chmod +x debian/oem-config/usr/lib/oem-config/language/$$x; \
	done
	sed -i 's/\\\$${!TAB}/ /g' \
		debian/oem-config/usr/lib/oem-config/language/localechooser

	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
	cp debian/oem-config.upstart $(tmp)/etc/disabled-event.d/oem-config
	dh_installdebconf -a
	echo >> debian/oem-config/DEBIAN/templates
	po2debconf --podir=debian/imported-po \
		debian/oem-config.templates-imported \
		>> debian/oem-config/DEBIAN/templates
	echo >> debian/oem-config/DEBIAN/templates
	cat d-i/templates >> debian/oem-config/DEBIAN/templates
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a -n
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_pycentral -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -- -Vmangled-version='$(MANGLED_VERSION)'
	dh_md5sums -a
	dh_builddeb -a

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -i
	dh_installdebconf -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_pycentral -i
	dh_installdeb -i
	dh_gencontrol -i -- -Vmangled-version='$(MANGLED_VERSION)'
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary

## oem-config 1.54.13.28-netbook5araneo8ubuntur9tsm3

=== d-i/Makefile ===
unexport DH_OPTIONS

APTDIR := apt
LISTDIR := lists
SOURCEDIR := source

ifndef DEB_HOST_ARCH
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
endif

PACKAGES := $(shell cat $(LISTDIR)/any)
ifneq (,$(wildcard $(LISTDIR)/$(DEB_HOST_ARCH)))
PACKAGES += $(shell cat $(LISTDIR)/$(DEB_HOST_ARCH))
endif
# We don't need to build console-setup.
PACKAGES := $(filter-out console-setup,$(PACKAGES))

update:
	@perl -MDpkg::Deps -e1 >/dev/null 2>&1 || { \
		echo "You need dpkg-dev >= 1.14.8 installed to do this." >&2; \
		exit 1; \
	}
	./get-sources update
	./get-sources $(shell sort -u $(LISTDIR)/*)
	./update-control
ifdef UPDATE_LOCAL
	mv manifest.old manifest
else
	./update-changelog
endif

check:
	./check-manifest

maintainer-clean:
	rm -rf $(SOURCEDIR)

build:
	set -e; for package in $(PACKAGES); do \
		if [ -d "$(SOURCEDIR)/$$package" ]; then \
			(cd "$(SOURCEDIR)/$$package" && \
			 debian/rules build) || exit 1; \
		fi; \
	done

clean:
	rm -rf $(APTDIR)
	for dir in $(SOURCEDIR)/*; do \
		if [ "$${dir##*/}" != console-setup ] && [ -d "$$dir" ]; then \
			(cd "$$dir" && debian/rules clean) || exit 1; \
		fi; \
	done
	rm -f $(SOURCEDIR)/*.deb $(SOURCEDIR)/*.udeb
	rm -f manifest.old
	rm -rf udeb-control templates

install:
	set -e; for package in $(PACKAGES); do \
		if [ -d "$(SOURCEDIR)/$$package" ]; then \
			(export NO_PKG_MANGLE=1; \
			 cd "$(SOURCEDIR)/$$package" && \
			 debian/rules binary && \
			 rm -rf debian/*/DEBIAN) || exit 1; \
		fi; \
	done
	rm -rf udeb-control templates
	mkdir -p udeb-control
	set -e; for udeb in $(SOURCEDIR)/*.udeb; do \
		if [ -f "$$udeb" ]; then \
			name="$$(basename "$$udeb" .udeb)"; \
			dpkg-deb -e "$$udeb" "udeb-control/$$name"; \
			if [ -f "udeb-control/$$name/templates" ]; then \
				sed -n '/./,$$p' "udeb-control/$$name/templates" | \
					grep -iv '^indices.*:' >> templates; \
				if [ "$$(tail -n1 templates)" ]; then \
					echo >> templates; \
				fi; \
			fi; \
		fi; \
	done

.PHONY: update build clean install

=== d-i/source/netcfg/Makefile ===
CC		= gcc
TARGETS		?= netcfg-static netcfg

LDOPTS		= -ldebconfclient -ldebian-installer -liw
CFLAGS		= -W -Wall -DNDEBUG 
COMMON_OBJS	= netcfg-common.o wireless.o

ifeq ($(NO_WIRELESS),)
CFLAGS		+= -DWIRELESS
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0 -g3
else
CFLAGS += -Os -fomit-frame-pointer
endif

all: $(TARGETS)

netcfg-static: netcfg-static.o static.o
netcfg: netcfg.o dhcp.o static.o ethtool-lite.o

$(TARGETS): $(COMMON_OBJS)
	$(CC) -o $@ $^ $(LDOPTS)

%.o: %.c
	$(CC) -c $(CFLAGS) $(DEFS) $(INCS) -o $@ $<

clean:
	rm -f $(TARGETS) *.o

.PHONY: all clean

# vim:ts=8:noet

=== d-i/source/bterm-unifont/debian/changelog ===
bterm-unifont (1.1) unstable; urgency=low

  [ Frans Pop ]
  * Remove Alastair McKinstry, Kenshi Muto and Matt Kraai as Uploaders with
    many thanks for their past contributions. Add Joey Hess.

 -- Otavio Salvador <otavio@debian.org>  Tue, 23 Sep 2008 21:28:21 -0300

bterm-unifont (1.0) unstable; urgency=low

  * Gratuitous version number bump.
  * Moved unifont.bgf to lib. Needs rootskel 1.12

 -- Joey Hess <joeyh@debian.org>  Tue,  3 May 2005 18:17:02 -0400

bterm-unifont (0.011) unstable; urgency=low

  * Rebuild to remove setgid bit.

 -- Matt Kraai <kraai@debian.org>  Thu, 17 Jun 2004 20:42:16 -0700

bterm-unifont (0.010) unstable; urgency=low

  * Rebuild against new bf-utf-source (closes: Bug#252889)

 -- Kenshi Muto <kmuto@debian.org>  Sun,  6 Jun 2004 01:41:46 +0000

bterm-unifont (0.009) unstable; urgency=low

  * Rebuild (closes: Bug#238228).

 -- Matt Kraai <kraai@debian.org>  Wed, 19 May 2004 06:24:58 -0700

bterm-unifont (0.008) unstable; urgency=low

  * Fix Build-Depends (closes: Bug#237361).

 -- Kenshi Muto <kmuto@debian.org>  Thu, 11 Mar 2004 18:13:03 +0900

bterm-unifont (0.007) unstable; urgency=low

  * Fix debian/rules binary-arch/indep targets after below change.
  * While I'm at it, switch to debhelper's new udeb support.
  * Fix misuse of dh_clean -k.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Mar 2004 00:12:04 -0500

bterm-unifont (0.006) unstable; urgency=low

  * Kenshi Muto
    - Now, bterm-unifont is architecture dependent package.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 11 Mar 2004 03:16:46 +0000

bterm-unifont (0.005) unstable; urgency=low

  * Kenshi Muto
    - Rebuilt with i386. (but I'm afraid this crashes on big-endian
      arch)

 -- Kenshi Muto <kmuto@debian.org>  Fri,  5 Mar 2004 09:24:22 +0900

bterm-unifont (0.004) unstable; urgency=low

  * Matt Kraai
    - Change the priority to optional.

 -- Matt Kraai <kraai@debian.org>  Wed, 25 Feb 2004 03:20:19 -0800

bterm-unifont (0.003) unstable; urgency=low

  * Matt Kraai
    - Use pidof instead of ps, grep, and awk in the postinst.
    - Add self to Uploaders.
  * Petter Reinholdtsen
    - Depend on bogl-bterm-udeb, not bterm-bogl.
  * Kenshi Muto
    - Fix shebang typo.

 -- Matt Kraai <kraai@debian.org>  Fri, 06 Feb 2004 06:33:36 -0800

bterm-unifont (0.002) unstable; urgency=low

  * Moved to Standards-Version: 3.6.0 (no changes required)
  * Changed maintainer email to mckinstry@debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jul 2003 15:43:37 +0100

bterm-unifont (0.001) unstable; urgency=low

  * First release

 -- Alastair McKinstry <mckinstry@computer.org>  Mon, 12 May 2003 09:19:13 +0300

=== d-i/source/localechooser/debian/changelog ===
localechooser (2.09ubuntu2) jaunty; urgency=low

  * Don't add en_US.UTF-8 to the supported language pack set if the locale
    is set to C; this is probably fine by people using the C locale, and it
    means that lowmem installations avoid installing language-pack-en and
    thereby calling localedef lots of times.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Feb 2009 04:34:00 +0000

localechooser (2.09ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Allow preseeding of debian-installer/language.
    - Install kbd rather than console-tools. Remove configuration file
      changes that: (a) modify a dpkg-handled conffile and so are policy
      violations; (b) are partly composed of workarounds for console-tools
      bugs not present in kbd; (c) are superseded by console-setup anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Jan 2009 11:43:23 +0000

localechooser (2.09) unstable; urgency=low

  * Fix incorrect use of no longer existing variable.

 -- Frans Pop <fjp@debian.org>  Sat, 03 Jan 2009 16:37:28 +0000

localechooser (2.08ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Allow preseeding of debian-installer/language.
    - Install kbd rather than console-tools. Remove configuration file
      changes that: (a) modify a dpkg-handled conffile and so are policy
      violations; (b) are partly composed of workarounds for console-tools
      bugs not present in kbd; (c) are superseded by console-setup anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Nov 2008 14:08:00 +0000

localechooser (2.08) unstable; urgency=low

  * Use isoquery instead of a python script to generate iso_3166.tab.

 -- Frans Pop <fjp@debian.org>  Mon, 22 Sep 2008 12:15:09 +0200

localechooser (2.07) unstable; urgency=low

  [ Christian Perrier ]
  * Added messages about backup languages for Northern Sami
    (localechooser.templates-se_NO). Thanks to Børre Gaup.
  * Activate Irish after it completed sublevels 1 and 2
  * Activate Serbian after it completed sublevels 1 and 2
  * Reactivate Welsh after it completed sublevels 1 and 2

  [ Frans Pop ]
  * Deactivate Estonian.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Serbian (sr.po) by Veselin Mijušković
  * Ukrainian (uk.po) by Borys Yanovych

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 22:14:40 -0300

localechooser (2.05) unstable; urgency=low

  [ Christian Perrier ]
  * Change commented entry for Serbian as part of the new language process
    The default country is "RS" (Serbia) and the default locale is sr_RS
    (cyrillic Serbian for Serbia)

  [ Samuel Thibault ]
  * Use display level 1 when framebuffer is not available and the terminal is
    not "serial" or "dumb".  This will enable localization on Braille devices.
    (Closes: #479208)

  [ Frans Pop ]
  * Fix build error because iso-codes no longer provides iso-3166.tab.
  * Various code cleanups and minor fixes/improvements.
  * Fix various regressions for languages that have a country code included
    in the language code. Basic reason is that the LANGUAGE variable now
    also includes the country specifier while before the switch to use
    Choices-C for language selection it did not.
  * Restructure preparations for asking the country shortlist question.
  * For languages where country selection would normally be skipped, allow
    country selection if the current country is different from the default
    (only relevant after going back or when re-running localechooser).
  * Update languagelist as Vietnamese does not have a .UTF-8 locale.
  * Include old changelogs from language/countrychooser in the source package
    and bring the copyright file in line with reality.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Greek, Modern (1453-) (el.po)
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)



=== d-i/source/tzsetup/debian/changelog ===
tzsetup (1:0.24ubuntu1) jaunty; urgency=low

  * Make it possible to select from a worldwide list of timezones if the
    default list is insufficient (LP: #28890).
  * Offer UTC in worldwide list of timezones (LP: #262069).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Dec 2008 13:44:01 +0000

tzsetup (1:0.24) unstable; urgency=low

  * Accept any preseeded time zone if the seen flag is set. This is needed to
    undo a change in behavior introduced with cdebconf (0.132) which results
    in invalid defaults for current choices list being rejected.
    Closes: #503189.
  * Check that (preseeded) time zone is valid before setting it for the target
    system.

 -- Frans Pop <fjp@debian.org>  Fri, 24 Oct 2008 22:11:16 +0200

tzsetup (1:0.23) unstable; urgency=low

  [ Otavio Salvador ]
  * Use isoquery to generate iso_3166.tab during building.

  [ Frans Pop ]
  * Create temporary files in the debian directory.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Armin Besirovic
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Greek, Modern (1453-) (el.po)
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Veselin Mijušković

 -- Frans Pop <fjp@debian.org>  Mon, 22 Sep 2008 12:14:00 +0200

tzsetup (1:0.22) unstable; urgency=low

  [ Frans Pop ]
  * Drop no longer relevant isinstallable file.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Turkish (tr.po) by Mert Dirik
  
 -- Otavio Salvador <otavio@debian.org>  Tue, 29 Jul 2008 12:41:27 -0300

tzsetup (1:0.21) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Gujarati (gu.po) by Kartik Mistry
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 00:44:47 -0300

=== debian/changelog ===
oem-config (1.54.13.28-netbook5araneo8ubuntur9tsm3) jaunty; urgency=low

  * 2.0.0-> 2.0.2 

 -- lian liang <lianglian@thunderst.com>  Fri, 28 May 2010 11:41:57 +0800

oem-config (1.54.13.28-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * Back to 1.54.13.27-netbook5araneo8ubuntur9tsm2 base

 -- Jason Yen <jason.yen@canonical.com>  Sat, 01 May 2010 23:19:39 +0800

oem-config (1.54.13.27-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * 1.5.5 to 2.0.0 
  * bugfix of reboot when press powerkey in user mode 
  * add patch stylus_off 
  * bugfix of remove netwalker package
  * remove start x beforce calibrate

 -- lian liang <lianglian@thunderst.com>  Sat, 24 Apr 2010 12:03:57 +0800

oem-config (1.54.13.20-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * reboot when press power key
  * remove netwalker-xmdfviewer-ts
  * show soft keyboard in step_user page

 -- lian liang <lianglian@thunderst.com>  Fri, 09 Apr 2010 21:09:40 +0800

oem-config (1.54.13.11-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * start a new X when do calibration for first time. 
  * set gconf value to enable left key. 

 -- lian liang <lianglian@thunderst.com>  Tue, 06 Apr 2010 14:39:44 +0800

oem-config (1.54.13.9-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * tob to space

 -- lian liang <lianglian@thunderst.com>  Tue, 30 Mar 2010 14:40:02 +0800

oem-config (1.54.13.7-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * change gtk_ui.py

 -- lian liang <lianglian@thunderst.com>  Tue, 30 Mar 2010 12:20:13 +0800

oem-config (1.54.13.6-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * change gtk_ui.py

 -- lian liang <lianglian@thunderst.com>  Tue, 30 Mar 2010 10:19:32 +0800

oem-config (1.54.13.5-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * change softstylus

 -- lian liang <lianglian@thunderst.com>  Mon, 29 Mar 2010 19:26:59 +0800

oem-config (1.54.13.4-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * change netwalker-xmdfviewer_1.5.1-1_armel.deb

 -- lian liang <lianglian@thunderst.com>  Mon, 29 Mar 2010 13:25:07 +0800

oem-config (1.54.13.3-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  *click right hw key to go back  when run calibrate 

 -- lian liang <lianglian@thunderst.com>  Tue, 23 Mar 2010 13:06:38 +0800

oem-config (1.54.13.2-netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * run sp_key_action when first boot

 -- lian liang <lianglian@thunderst.com>  Wed, 17 Mar 2010 16:28:16 +0800

oem-config (1.54.13netbook5araneo8ubuntur9tsm2) jaunty; urgency=low

  * utf_8 -> utf-8 

 -- lian liang <lianglian@thunderst.com>  Fri, 12 Mar 2010 15:21:12 +0800

oem-config (1.54.13netbook5araneo8ubuntur8tsm2) jaunty; urgency=low

  * add bt wifi setup and lang 

 -- lian liang <lianglian@thunderst.com>  Fri, 12 Mar 2010 10:04:58 +0800

oem-config (1.54.13netbook5araneo8ubuntur7tsm2) jaunty; urgency=low

  * change from netwalker-xmdfviewer_0.5.0-1_armel.deb to netwalker-xmdfviewer-ts 

 -- lian liang <lianglian@thunderst.com>  Tue, 09 Mar 2010 17:02:50 +0800

oem-config (1.54.13netbook5araneo8ubuntur6tsm2) jaunty; urgency=low

  * change from Keyboard to キーボード 

 -- lian liang <lianglian@thunderst.com>  Tue, 09 Mar 2010 17:02:50 +0800

oem-config (1.54.13netbook5araneo8ubuntu5tsm2) jaunty; urgency=low

  * update init 

 -- lian liang <lianglian@thunderst.com>  Tue, 09 Mar 2010 17:02:50 +0800

oem-config (1.54.13netbook5araneo8ubuntu4tsm2) jaunty; urgency=low

  *change from matchbox-keyboard to softstylus

 -- lian liang <lianglian@thunderst.com>  Fri, 05 Mar 2010 18:21:00 +0800

oem-config (1.54.13netbook5araneo8ubuntu3tsm2) jaunty; urgency=low

  *update po for jp 

 -- lian liang <lianglian@thunderst.com>  Fri, 05 Mar 2010 18:21:00 +0800

oem-config (1.54.13netbook5araneo8ubuntu2tsm2) jaunty; urgency=low

  * change from any to armel 

 -- lian liang <lianglian@thunderst.com>  Fri, 05 Mar 2010 11:18:07 +0800

oem-config (1.54.13netbook5araneo8ubuntu1tsm2) jaunty; urgency=low

  * without  keyboard support

 -- lian liang <lianglian@thunderst.com>  Fri, 05 Mar 2010 11:18:07 +0800

=== d-i/source/localechooser/debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dash | ash, dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/localechooser
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/localechooser/ubuntu

Package: localechooser
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: 1000
Description: choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Breaks: system-config-kickstart (<< 2.5.20-0ubuntu17)
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.

=== d-i/source/bterm-unifont/debian/rules ===
#!/usr/bin/make -f

build: unifont.bgf
unifont.bgf:
	dh_testdir
	bdftobogl -b /usr/src/unifont.bdf > unifont.bgf

clean:
	dh_testdir
	dh_clean unifont.bgf

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

binary-arch: unifont.bgf install
	dh_testdir
	dh_testroot
	dh_installdeb
	dh_install unifont.bgf lib
	dh_gencontrol
	dh_builddeb
	
binary-indep:

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== d-i/source/tzsetup/debian/rules ===
#!/usr/bin/make -f

build:
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf

	# Merge in all templates.
	echo >> debian/tzsetup-udeb/DEBIAN/templates
	po2debconf debian/common.templates >> debian/tzsetup-udeb/DEBIAN/templates

	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
